export interface GeneralSetting {
  appTheme: string;
  autoLaunch: boolean;
  startupHideWindow: boolean;
  continueRunWhenClose: boolean;
  autoLogin: boolean;
  locale: string;
  hrInfoLocale: string;
  timezone: string;
}

export interface NotificationSetting {
  use: boolean;
  method: 'SOUND' | 'ALERT' | 'SOUND_ALERT';
  alertExposureTime: number;
  receiveForMobile: boolean;
  receiveForMessage: boolean;
}

export interface ChatSetting {
  fontFamily: string;
  fontSize: number;
  downloadPath: string;
}

export interface Settings {
  general: GeneralSetting;
  notification: NotificationSetting;
  chat: ChatSetting;
}
